<?php require_once('Connections/cn.php'); ?>
<?php
session_start();
 $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
 $sede_usuario=$_SESSION['SEDE_USUARIO'];
 

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$query_rstDocentes = "SELECT docentes.id_docente, docentes.apellidos,docentes.nombres FROM docentes where id_docente>0 ORDER BY apellidos,nombres ";
$rstDocentes = mysql_query($query_rstDocentes, $cn) or die(mysql_error());
$row_rstDocentes = mysql_fetch_assoc($rstDocentes);
$totalRows_rstDocentes = mysql_num_rows($rstDocentes);


// Datos de las sedes.
	if($sede_usuario=='14'){	
	   $sqlSede = "SELECT codigo,nombre_sede FROM sedes ORDER BY nombre_sede";
	   }
	   else{
	   $sqlSede = "SELECT codigo,nombre_sede FROM sedes where codigo='$sede_usuario' ORDER BY nombre_sede";
	   }
	   $rstSede = mysql_query($sqlSede, $cn) or die(mysql_error());
       $row_rstSede = mysql_fetch_assoc($rstSede);
       $totalRows_rstSede = mysql_num_rows($rstSede);


$query_rstPeriodos = "SELECT  periodos.id_periodo, periodos.codigo FROM periodos  ORDER BY periodos.id_periodo desc";
$rstPeriodos = mysql_query($query_rstPeriodos, $cn) or die(mysql_error());
$row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
$totalRows_rstPeriodos = mysql_num_rows($rstPeriodos);

$query_rstPeriodosA = "SELECT  periodos.id_periodo, periodos.codigo FROM periodos WHERE status='ABIERTO' ORDER BY periodos.id_periodo desc";
$rstPeriodosA = mysql_query($query_rstPeriodosA, $cn) or die(mysql_error());
$row_rstPeriodosA = mysql_fetch_assoc($rstPeriodosA);
$totalRows_rstPeriodosA = mysql_num_rows($rstPeriodosA);


$query_rstMaterias = "SELECT materias.id_materia, materias.nombre_materia FROM materias ORDER BY materias.nombre_materia";
$rstMaterias = mysql_query($query_rstMaterias, $cn) or die(mysql_error());
$row_rstMaterias = mysql_fetch_assoc($rstMaterias);
$totalRows_rstMaterias = mysql_num_rows($rstMaterias);


$query_rstSecciones = "SELECT DISTINCT secciones.seccion FROM secciones ORDER BY seccion";
$rstSecciones = mysql_query($query_rstSecciones, $cn) or die(mysql_error());
$row_rstSecciones = mysql_fetch_assoc($rstSecciones);
$totalRows_rstSecciones = mysql_num_rows($rstSecciones);


$query_rstCarreras = "SELECT id_carrera, nombre_carrera FROM carreras WHERE status='ACTIVA' order by nombre_carrera";
$rstCarreras = mysql_query($query_rstCarreras, $cn) or die(mysql_error());
$row_rstCarreras = mysql_fetch_assoc($rstCarreras);
$totalRows_rstCarreras = mysql_num_rows($rstCarreras);



 session_start();
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>sadce -- carga de calificaciones</title>
<meta name="generator" http-equiv="Content-Type" content="text/html; charset=utf-8">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
.style1 {
	font-size: 16px;
	font-weight: bold;
	color: #CCFF00;
}
.style2 {color: #FFFF00}
</style>
<script src="jquery.min.js" type="text/javascript"></script>
<meta name="generator" http-equiv="Content-Type" content="text/html; charset=utf-8">

</head>
<script>
$(document).ready(function(){
	$("#id_carrera").change(function(){
		$.post("carga_materias.php",{ id:$(this).val() },function(data){$("#materia").html(data);})
	});
})
</script>
<body>
<?php

mysql_select_db($database_cn, $cn);
$query_carreras = "SELECT id_carrera,nombre_carrera FROM carreras ORDER BY nombre_carrera";
$rst_carreras = mysql_query($query_carreras, $cn) or die(mysql_error());
$row_carreras = mysql_fetch_assoc($rst_carreras);
$totalRows_carreras = mysql_num_rows($rst_carreras);  

if($totalRows_carreras >0)
{
    $array_areas = array();
	 $array_carreras = array();
	$code=0;
	while($carrera = mysql_fetch_assoc($rst_carreras))
		{
			$array_carreras[$code] = $carrera["id_carrera"];		
			$array_areas[$code]=  $carrera["nombre_carrera"];	
			$code += 1;
		}
}
			
?>
<table class="bd" width="100%" align="center"><tr><td class="hr"><h2>Inscribir una Cohorte</h2></td></tr></table>
<form name="form1" id="form1" method="post" action="">
  <table width="40%" border="0" align="center" id="carga" cellpadding="1" cellspacing="6" style="border:1px solid #ccc;">
  <tr>
      <td colspan="6"><div align="center" class="hr style1 style2">Unidad Curricular y Cohorte a Inscribir </div></td>
    </tr>
    <tr>
      <td width="86"><div align="right">Programa:</div></td>
      <td colspan="5"><label>
        <select name="id_carrera" id="id_carrera" style="width:580px">
          <option selected value="0">Seleccione...</option>
          <?php
			for($i=0;$i<count($array_areas);$i++) {
			  echo "<option value=".$array_carreras[$i].">".$array_areas[$i].' (CÓDIGO: '.$array_carreras[$i].")"."</option>" ;
			}
			?>
        </select>
      </label></td>
    </tr>
    <tr>
      <td><div align="right">U/Curricular:</div></td>
      <td colspan="5"><label>
          <div align="left">
            <select name="materia" id="materia" style="width:580px">
              <option selected value="0">Seleccione...</option>
            </select>
          </div>
        </label></td>
    </tr>
    <tr>
      <td>Sede:</td>
      <td width="194"><select name="sede" id="sede">
	   <option selected value="0">Seleccione...</option>
        <?php
do {  
?>
        <option value="<?php echo $row_rstSede['codigo']?>"><?php echo $row_rstSede['nombre_sede']?></option>
        <?php
} while ($row_rstSede = mysql_fetch_assoc($rstSede));
  $rows = mysql_num_rows($rstSede);
  if($rows > 0) {
      mysql_data_seek($rstSede, 0);
	  $row_rstSede = mysql_fetch_assoc($rstSede);
  }
?>
      </select></td>
      <td width="60"><div align="right">Cohorte:</div></td>
      <td width="113"><select name="periodo" id="periodo">
	   <option selected value="0">Seleccione...</option> 
        <?php
do {  
?>
        <option value="<?php echo $row_rstPeriodos['id_periodo']?>"><?php echo $row_rstPeriodos['codigo']?></option>
        <?php
} while ($row_rstPeriodos = mysql_fetch_assoc($rstPeriodos));
  $rows = mysql_num_rows($rstPeriodos);
  if($rows > 0) {
      mysql_data_seek($rstPeriodos, 0);
	  $row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
  }
?>
      </select></td>
 
      <td width="74"><div align="right">Secci&oacute;n:</div></td>
      <td width="111"><div align="right">
        <select name="seccion" id="seccion">
		<option selected value="0">Seleccione...</option>
		<option value="A">A</option>
		<option value="B">B</option>
		<option value="C">C</option>
		<option value="D">D</option>
		<option value="E">E</option>
		<option value="1">1</option>
		<option value="2">2</option>
		<option value="3">3</option>
		<option value="4">4</option>
		<option value="5">5</option>
          <?php
do {  
?>
          <option value="<?php echo $row_rstSecciones['id_seccion']?>"><?php echo $row_rstSecciones['id_seccion']?></option>
          <?php
} while ($row_rstSecciones = mysql_fetch_assoc($rstSecciones));
  $rows = mysql_num_rows($rstSecciones);
  if($rows > 0) {
      mysql_data_seek($rstSecciones, 0);
	  $row_rstSecciones = mysql_fetch_assoc($rstSecciones);
  }
?>
        </select>
      </div></td>
    </tr>
    
    <tr>
      <td colspan="6"><div align="center" class="hr style1 style2">Per&iacute;odo y Secci&oacute;n donde est&aacute; ofertada la unidad curricular </div></td>
    </tr>
    <tr>
      <td colspan="6"><div align="center">Periodo:&nbsp; 
          <select name="periodo_actual" id="periodo_actual">
            <option selected value="0">Seleccione...</option>
            <?php
do {  
?>
            <option value="<?php echo $row_rstPeriodosA['id_periodo']?>"><?php echo $row_rstPeriodosA['codigo']?></option>
            <?php
} while ($row_rstPeriodosA = mysql_fetch_assoc($rstPeriodosA));
  $rows = mysql_num_rows($rstPeriodosA);
  if($rows > 0) {
      mysql_data_seek($rstPeriodosA, 0);
	  $row_rstPeriodosA = mysql_fetch_assoc($rstPeriodosA);
  }
?>
            </select>
      &nbsp;&nbsp;Sección:&nbsp;&nbsp;
      <select name="seccion_oferta" id="seccion_oferta">
        <option value="0">Seleccione...</option>
		<option value="A">A</option>
		<option value="B">B</option>
		<option value="C">C</option>
		<option value="D">D</option>
		<option value="E">E</option>
		<option value="U">U</option>
		<option value="1">1</option>
		<option value="2">2</option>
		<option value="3">3</option>
		<option value="4">4</option>
		<option value="5">5</option>
        
      </select>
      </div></td>
    </tr>
    <tr>
      <td colspan="6"><div align="center">
        <label>
        <input name="Enviar" type="button" id="Enviar" value="Inscribir" onClick="inscribir_alumnos(document.form1.id_carrera.value,document.form1.materia.value,document.form1.periodo.value,document.form1.seccion.value,document.form1.sede.value,document.form1.periodo_actual.value,document.form1.seccion_oferta.value)">
        </label>
      </div></td>
    </tr>
  </table>
    <div align="center"></div>
  <div align="center"></div>
</form>
<p>&nbsp;</p>
</body>

 <script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	
	function validar_datos()
	{
	 	if(document.form1.carrera.value==0){
			alert("El campo <<Carrera>> es obligatorio");
			document.form1.carrera.focus();
			return false;
			}
		if(document.form1.materia.value==0){
			alert("El campo <<Materia>> es obligatorio");
			document.form1.materia.focus();
			return false;
			}
		if(document.form1.sede.value==""){
			alert("El campo <<Sede>> es obligatorio");
			document.form1.sede.focus();
			return false;
			}
		if(document.form1.periodo.value==0){
			alert("El campo <<Periodo>> es obligatorio");
			document.form1.periodo.focus();
			return false;
			}
		if(document.form1.seccion.value==0){
			alert("El campo <<Seccion>> es obligatorio");
			document.form1.seccion.focus();
			return false;
			}
		if(document.form1.seccion_oferta.value==0){
			alert("El campo <<Seccion del Período>> es obligatorio");
			document.form1.seccion_oferta.focus();
			return false;
			}
		return true;
	}
	

</script>
 <?php
mysql_free_result($rstDocentes);

mysql_free_result($rstSede);

mysql_free_result($rstPeriodos);

mysql_free_result($rstMaterias);

mysql_free_result($rstSecciones);

mysql_free_result($rstCarreras);
?>

<script type="text/javascript">
 function inscribir_alumnos(carrera,materia,periodo,seccion,sede,periodo_actual,seccion_oferta)
  {
     window.document.location="validar_oferta_cohorte.php?periodo="+periodo+"&seccion="+seccion+"&sede="+sede+"&materia="+materia+"&carrera="+carrera+"&periodo_actual="+periodo_actual+"&seccion_oferta="+seccion_oferta+"&a=reset";
   }
</script>

<script type="text/javascript">
 function valida_oferta(carrera,materia,periodo,seccion,sede,seccion_oferta)
  {  

    window.document.location="validar_oferta.php?periodo="+periodo+"&seccion="+seccion_oferta+"&sede="+sede+"&materia="+materia+"&carrera="+carrera;
	
   }
</script>
